function jac=jacobi(f,df,x,f0)
% function jac=jacobi(f,df,x,f0)
% jac   Jacobi-Matrix
% f     Name der zu differenzierenden Funktion
% df    Name der Funktion der analytischen Ableitung
% x     Stelle, an der die num. Ableitung bestimmt werden soll
% f0    Funktionswert f(x)

global zaehler;
c=10;
eta=c*sqrt(eps);
n=length(x);
if ~isempty(df)
    jac=feval(df,x);
    zaehler=zaehler+n;
else
    for i=1:n
        delta=x(i)*eta;
        if abs(delta)<eta
            delta=eta*sign(x(i));
        end;
        x_test=x;
        x_test(i)=x_test(i)+delta;
        f_test=feval(f,x_test);
        jac(:,i)=(f_test-f0)./delta;
        zaehler=zaehler+1;
    end;
end;