function nlap
% Gauss-Newton-Verfahren
[t,b]=werte(50);
x0=[ 10 0.055 0.21]';
tt=linspace(0,180,1000);
yy=biochem('f',x0,tt);

plot(tt,yy,'k--',t,b,'rx');
hold on

x=x0;
for i=1:10
    res=biochem('res',x,t,b);
    fx=biochem('fx',x,t);
    p=fx\(fx*x-res)-x;
    
    l=1;
    while norm(biochem('res',x+l*p,t,b))>norm(res)
        l=l/2;
    end;
    x=x+l*p;
    yy=biochem('f',x,tt);
    plot(tt,yy,'k-.');
end;
plot(tt,yy,'k');
hold off
% x = 3.51 0.052 0.16